# Quantum Computing Utilities for Python

[![DOI](https://zenodo.org/badge/724659579.svg)](https://zenodo.org/doi/10.5281/zenodo.13632281)

This library is dedicated to quantum computing, featuring gate implementations, algorithms, and utilities. This repository serves as a recollection of assignments and utilities developed for the Master's program in Quantum Computing at UNIR. It includes educational assignment documents and a set of Jupyter notebooks for learning purposes.

## Overview

This library is designed to provide developers with a comprehensive set of tools and functionalities for quantum computing. It includes modules for gate implementations, handling various quantum notations, managing quantum states, utilities for quantum operations, as well as educational assignment documents and Jupyter notebooks.

Developers interested in quantum computing can use it to explore quantum algorithms, experiment with gate implementations, manipulate quantum states, and leverage utilities to enhance their understanding and development in the quantum computing domain.

## Contributions

Contributions are welcome and encouraged! Whether you want to add new functionalities, improve existing modules, enhance documentation, fix issues, or contribute to educational Jupyter notebooks, feel free to contribute by submitting a pull request.

## License

This repository is licensed under the [MIT License](LICENSE).
